#ifndef __core__anime_db_h
#define __core__anime_db_h
#include "core/anime.h"
#include <unordered_map>

namespace Anime {

class Database {
	public:
		std::unordered_map<int, Anime> items;
		int GetTotalAnimeAmount();
		int GetTotalEpisodeAmount();
		int GetTotalWatchedAmount();
		int GetTotalPlannedAmount();
		double GetAverageScore();
		double GetScoreDeviation();
		int GetListsAnimeAmount(ListStatus status);
};

extern Database db;

} // namespace Anime
#endif // __core__anime_db_h
